using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace CLIP.eForm.Consent.Entity
{
    [Serializable]
    public class ConsentImageVO
    {
        public ConsentImageVO()
        {
            foreach (PropertyDescriptor property in TypeDescriptor.GetProperties(this))
            {
                if (property.DisplayName == "ConsentMstRid" || property.DisplayName == "FormRid" || property.DisplayName == "ConsentImageRid")
                {
                    property.SetValue(this, 0);
                }
                else
                {
                    property.SetValue(this, "");
                }
            }
        }

        public int ConsentMstRid { get; set; }
        public int ConsentImageRid { get; set; }
        public int FormRid { get; set; }
        public string ImagePath { get; set; }
        public string ImageFilename { get; set; }
        public string CompleteYn { get; set; }
        public string CreateUserId { get; set; }
        public string CreateDatetime { get; set; }
    }
}
